Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class ContadorAplicarPlazaDbHelper
    Inherits DbHelper(Of ContadorAplicarPlaza,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListContadorAplicarPlazaByPlaza(ByVal idPlaza as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of ContadorAplicarPlaza)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idPlaza = idPlaza
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
